SDL_GetWindowPixelFormat(3)

NAME
SDL_GetWindowPixelFormat - Get the pixel format associated with the window.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_PixelFormat SDL_GetWindowPixelFormat(SDL_Window *window);

FUNCTION PARAMETERS

window
    the window to query.

RETURN VALUE
( SDL_PixelFormat ) Returns the pixel format of the window on success or SDL_PIXELFORMAT_UNKNOWN
 on failure; call SDL_GetError () for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.